package com.liquidnet.service.kylin.dto.param.ticketSystem;

import com.liquidnet.service.kylin.dto.vo.ticketSystem.STFieldListVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "STDelTicketParam",description = "详情")
public class STDelTicketParam implements Cloneable{
    @ApiModelProperty(value = "演出id [必传]")
    String performanceId;
    @ApiModelProperty(value = "场次编码 [必传]")
    String sessionCode;
    @ApiModelProperty(value = "票价ID [必传]")
    String priceId;
    @ApiModelProperty(value = "票ID [必传]")
    String ticketId;

    private static final STDelTicketParam obj = new STDelTicketParam();

    public static STDelTicketParam getNew() {
        try {
            return (STDelTicketParam) obj.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return new STDelTicketParam();
    }
}